From 1e4f63825c82d87b7966b71231f99d362c1e8296 Mon Sep 17 00:00:00 2001
From: Your Name <you@example.com>
Date: Thu, 3 Mar 2022 16:33:58 +0200
Subject: [PATCH] makefile fixes for flex-old

---
 Makefile.am          | 2 +-
 Makefile.in          | 2 +-
 examples/Makefile.am | 1 +
 3 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 994d03b..51dcf4e 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -2,7 +2,7 @@
 AM_CFLAGS = -DDATADIR="\"$(datadir)/rsl1\""
 AUTOMAKE_OPTIONS = foreign
 SUBDIRS = . colors doc examples
-INCLUDES = -I. -I$(srcdir) -I$(prefix)/include -I$(prefix)/toolkit/include
+INCLUDES = -I. -I$(srcdir) -I$(prefix)/include -I$(prefix)/toolkit/include -I$(prefix)/include/tirpc
 
 lib_LTLIBRARIES = librsl.la
 
diff --git a/Makefile.in b/Makefile.in
index 0c8c555..c4c34a9 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -221,7 +221,7 @@ sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 AUTOMAKE_OPTIONS = foreign
 SUBDIRS = . colors doc examples
-INCLUDES = -I. -I$(srcdir) -I$(prefix)/include -I$(prefix)/toolkit/include
+INCLUDES = -I. -I$(srcdir) -I$(prefix)/include -I$(prefix)/toolkit/include -I$(prefix)/include/tirpc
 colordir = $(libdir)/colors
 lib_LTLIBRARIES = librsl.la
 librsl_la_LDFLAGS = -version-info 1:43
diff --git a/examples/Makefile.am b/examples/Makefile.am
index 7bcf745..c209b7e 100644
--- a/examples/Makefile.am
+++ b/examples/Makefile.am
@@ -3,6 +3,7 @@
 AUTOMAKE_OPTIONS = foreign
 
 INCLUDES = -I$(prefix)/include
+LIBS = -L$(prefix)/lib -L$(libdir) -lmfhdf -ldf -ljpeg -lz -lm -lfl -ltirpc
 LOCAL_LIB = ../.libs/librsl.a
 LDADD = @LIBS@ $(LOCAL_LIB) 
 bin_PROGRAMS = any_to_gif any_to_uf qlook
-- 
2.30.2

